package com.persagy.calendar.mapper;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.calendar.pojo.dto.WorkCalendarDict;
import com.persagy.calendar.pojo.vo.DictCodeCreate;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月3日:	下午7:51:51
 */
@Mapper
public interface WorkCalendarDictMapper extends BaseMapper<WorkCalendarDict> {

	/**
	 * 批量创建字典类型，此接口，不存在dictCode
	 * 
	 * @param calendarDict
	 * @param diyValue
	 */
	Integer batchCreateOrUpdateDictType(@Param("calendarDict") WorkCalendarDict calendarDict, @Param("diyValues") Set<String> diyValues);

	/**
	 * 批量创建字典类型
	 * 
	 * @param calendarDict
	 * @param codes
	 * @return
	 */
	Integer batchCreateOrUpdateDict(@Param("calendarDict") WorkCalendarDict calendarDict, @Param("codes") List<DictCodeCreate> codes);

	/**
	 * 批量创建字典类型
	 * 
	 * @param calendarDicts
	 * @return
	 */
	Integer batchCreateCalendarDict(@Param("calendarDicts") List<WorkCalendarDict> calendarDicts);

}
